Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606082 - xine-lib crash with webm files
xine-lib crash with webm files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-lib (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 08:55 EDT by Ville Skyttä
Modified: 2011-06-27 14:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2010-06-20 08:55:44 EDT
xine-lib-1.1.18.1-1.fc13.x86_64 crashes when trying to play webm videos.  (Yep, I suppose the F-13 version doesn't have support for webm yet, but it shouldn't crash.)

A couple of example videos, be sure to download them and try playing the local files e.g. with xine-ui instead of accessing URLs directly with a player:

http://content.bitsontherun.com/videos/m3P14laP-283112.webm
http://www.permadi.com/thirdParty/videos/redcliff450.webm

Backtrace snippet for the first one with xine-ui:

(gdb) bt full
#0  0x0000003d060329a5 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003d06034185 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x000000000047e3fd in ?? ()
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  xine_event_dispose_queue (queue=0x0) at events.c:133
        stream = <value optimized out>
        event = 0x31afd90
        qevent = <value optimized out>
        q = <value optimized out>
        ite = <value optimized out>
#5  0x00007f7e197384b4 in open_plugin (class_gen=0x31afc00, stream=0x2929f00, input=0x24301f0) at demux_matroska.c:2986
        this = 0x31afd90
        ebml = 0x31afc40
#6  0x0000003d1561cc36 in probe_demux (stream=0x2929f00, method1=<value optimized out>, method2=<value optimized out>, input=<value optimized out>) at load_plugins.c:1328
        mime_type = 0x3148ae0 "\360\273\021\061~\177"
        node = 0x24a9110
        list_id = <value optimized out>
        list_size = 55
        i = <value optimized out>
        methods = {1, 2, -1}
        catalog = 0x2482120
        plugin = <value optimized out>
        __FUNCTION__ = "probe_demux"
#7  0x0000003d15611fe0 in open_internal (stream=0x2929f00, mrl=<value optimized out>) at xine.c:1224
        stream_setup = <value optimized out>
        mrl_proto = <value optimized out>
        no_cache = <value optimized out>
#8  xine_open (stream=0x2929f00, mrl=<value optimized out>) at xine.c:1299
        ret = 43163392
#9  0x000000000040ccc6 in ?? ()
No symbol table info available.
[...]
Comment 1 Rex Dieter 2010-06-21 08:47:56 EDT
confirmed, boo.
Comment 2 lyann 2010-07-25 17:40:16 EDT
confirmation +1
Comment 3 Ville Skyttä 2011-02-27 16:08:36 EST
1.1.19-2.fc14.1.x86_64 doesn't seem to crash any more.
Comment 4 Bug Zapper 2011-06-02 06:12:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:37:16 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.